### Parameters

`TraceElem : InferModules.TraceElem.S`

### Signature

`include InferModules.TraceElem.S`
`type t`````
`include sig ... end`
`val compare : t ‑> t ‑> int`
`module Kind : InferModules.TraceElem.Kind`
`val call_site : t ‑> InferIR.CallSite.t`
`val kind : t ‑> Kind.t`
`val make : ?⁠indexes:InferStdlib.IntSet.t ‑> Kind.t ‑> InferIR.CallSite.t ‑> t`
`val with_callsite : t ‑> InferIR.CallSite.t ‑> t`
`val pp : InferModules.TraceElem.F.formatter ‑> t ‑> unit`
`module Set : InferStdlib.PrettyPrintable.PPSet with type PPSet.elt = t`
`val get : InferIR.CallSite.t ‑> InferIR.HilExp.t list ‑> InferIR.CallFlags.t ‑> InferIR.Tenv.t ‑> t option`

return Some sink if the given call site/actuals are a sink, None otherwise

`val indexes : t ‑> InferStdlib.IntSet.t`

return the indexes where taint can flow into the sink